CLASS LAST_VALUE<(3)

NAME
boost::last_value<void> - Evaluate an InputIterator sequence.

SYNOPSIS

// In header: <boost/last_value.hpp>
class last_value<void> {
public:
  // types
  typedef unspecified result_type;
  // invocation
  template<typename InputIterator>
    result_type operator()(InputIterator, InputIterator) const;
};

DESCRIPTION

  last_value invocation

    1.

    template<typename InputIterator>
      result_type operator()(InputIterator first, InputIterator last) const;

    Effects:
        Dereferences every iterator in the sequence [first, last).